> ## Documentation Index
> Fetch the complete documentation index at: https://docs.treasuryprime.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a Webhook



## OpenAPI

````yaml api-reference/openapi-utilities.json POST /webhook
openapi: 3.1.0
info:
  contact:
    email: help@treasuryprime.com
    name: Treasury Prime Support
    url: https://support.treasuryprime.com
  summary: Banking APIs
  termsOfService: https://www.treasuryprime.com/policy/terms
  title: Utilities
  version: 1.18.581-gbba3b1de
servers:
  - description: Production
    url: https://api.treasuryprime.com
  - description: Sandbox
    url: https://api.sandbox.treasuryprime.com
security:
  - basicAuth: []
  - apiKey: []
paths:
  /webhook:
    post:
      tags:
        - Webhook
      summary: Create a Webhook
      requestBody:
        content:
          application/json:
            examples:
              example:
                summary: Success
                value:
                  event: ach.update
                  url: https://example.application.com/notify
            schema:
              properties:
                basic_secret:
                  description: >-
                    The password value sent as part of basic `Authorization` for
                    request validation. Always shown as null in all responses.
                  type: string
                basic_user:
                  description: >-
                    The user value sent as part of basic `Authorization` for
                    request validation. Use is optional.
                  type: string
                event:
                  description: >-
                    The event to listen for. [Available
                    events](/reference/webhook-events)
                  type: string
                url:
                  description: The HTTPS URL where the event notification will be sent
                  type: string
                userdata:
                  description: Optional arbitrary user data
                  type: object
              required:
                - event
                - id
                - url
        description: The webhook to create
        required: true
      responses:
        '200':
          content:
            application/json:
              examples:
                example:
                  summary: Success
                  value:
                    created_at: '2018-12-03T19:46:45Z'
                    error: null
                    event: ach.update
                    id: wh_012345678923
                    status: enabled
                    updated_at: '2018-12-03T19:46:45Z'
                    url: https://example.application.com/notify
                    userdata: null
              schema:
                properties:
                  basic_secret:
                    description: >-
                      The password value sent as part of basic `Authorization`
                      for request validation. Always shown as null in all
                      responses.
                    type: string
                  basic_user:
                    description: >-
                      The user value sent as part of basic `Authorization` for
                      request validation. Use is optional.
                    type: string
                  error:
                    description: >-
                      The error reason, if the webhook has transitioned status
                      to `error`
                    type: string
                  event:
                    description: >-
                      The event to listen for. [Available
                      events](/reference/webhook-events)
                    type: string
                  id:
                    description: Unique identifier for object
                    type: string
                  status:
                    description: One of `enabled`, `disabled`, or `error`. Filterable.
                    type: string
                  url:
                    description: The HTTPS URL where the event notification will be sent
                    type: string
                  userdata:
                    description: Optional arbitrary user data
                    type: object
          description: The webhook created
components:
  securitySchemes:
    basicAuth:
      scheme: basic
      type: http
    apiKey:
      bearerFormat: JWT
      scheme: bearer
      type: http

````